/** 
  Input styles based on example https://codepen.io/maheshambure21/pen/EozKKy
  The effect used here is effect-16
*/

@import "../../../styles/variables";

$input-text-margin: 2rem 0 0 0;
$input-text-font-size: 1rem;
$label-has-content-font-size: 0.9rem;
$label-has-content-move-top: -1.25rem;
$input-text-line-height: 1.5rem;
$input-text-input-vertical-padding: 4px;
$focus-border-color: $third-color;
$focus-border-height: 1px;

@function calcFontSize() {
  @return $input-text-font-size * 0.75;
}

.InputNumber {
  margin: $input-text-margin;
  min-width: 3rem;
  &-effect {
    position: relative;
  }

  input[type="number"] {
    font-size: $input-text-font-size;
    line-height: $input-text-line-height;
    color: #333;
    width: 100%;
    letter-spacing: 1px;
    cursor: pointer;
  }

  input[readonly] {
    cursor: not-allowed;
    user-select: none;
  }

  :focus {
    outline: none;
  }

  .effect-16 {
    border: 0;
    padding: $input-text-input-vertical-padding 0;
    //border-bottom: 1px solid #ccc;
    background-color: transparent;
  }

  .effect-16 ~ .focus-border {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: $focus-border-height;
    background-color: $focus-border-color;
    transition: 0.4s;
  }
  .effect-16:focus ~ .focus-border,
  .has-content.effect-16 ~ .focus-border {
    width: 100%;
    transition: 0.4s;
  }

  .effect-16 ~ label {
    position: absolute;
    left: 0px;
    top: $input-text-input-vertical-padding;
    opacity: 0.5;
    pointer-events: none;
    transition: 0.3s;
    letter-spacing: 1px;
  }

  .has-content ~ label,
  .effect-16:focus ~ label {
    top: $label-has-content-move-top;
    font-size: $label-has-content-font-size;
    opacity: 1;
  }

  .input-info {
    padding-top: 0.25rem;
    font-size: calcFontSize();
    opacity: 0.5;
    cursor: default;
  }
}
